Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/handbrake: new aport video transcoding tool

From: Nathan Angelacos <nangel_at_alpinelinux.org>
Date: Thu, 3 Sep 2015 19:43:45 +0000

        handbrake package contains the cli
        handbrake-gtk subpackage contains the gui
---
 testing/handbrake/APKBUILD | 56 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)
 create mode 100644 testing/handbrake/APKBUILD
diff --git a/testing/handbrake/APKBUILD b/testing/handbrake/APKBUILD
new file mode 100644
index 0000000..e17b6ed
--- /dev/null
+++ b/testing/handbrake/APKBUILD
_at_@ -0,0 +1,56 @@
+# Maintainer: Nathan Angelacos <nangel_at_alpinelinux.org>
+pkgname=handbrake
+_pkgname=HandBrake
+pkgver=0.10.2
+pkgrel=0
+pkgdesc="Handbrake video transcoder"
+url="https://handbrake.fr"
+#pkgusers="$pkgname"
+#pkggroups="$pkgname"
+arch="all"
+license="GPL2"
+install=""
+depends=""
+makedepends="yasm autoconf libtool zlib-dev libbz2 libogg-dev libtheora-dev \
+		libvorbis-dev libsamplerate-dev fribidi-dev freetype-dev \
+		tinyxml-dev fontconfig-dev libass-dev intltool glib-dev dbus-glib-dev \
+		gtk+3.0-dev webkitgtk-dev eudev-dev libnotify-dev libdvdread-dev\
+		gstreamer0.10-dev x264-dev lame-dev linux-headers cmake"
+subpackages="$pkgname-gtk"
+source="${_pkgname}-${pkgver}.tar.bz2::https://handbrake.fr/rotation.php?file=${_pkgname}-${pkgver}.tar.bz2"
+
+_builddir="$srcdir"/${_pkgname}-${pkgver}
+
+build() {
+        cd "$_builddir"
+	./configure  --prefix=/usr  || return 1
+	
+	cd build
+	# This is retarded, but handbrake's "custom.defs" doesn't seem to work
+	make ffmpeg.configure 
+	make ffmpeg.build CFLAGS="-D_GNU_SOURCE -I${_builddir}/build/contrib/include -I."
+
+	make build CFLAGS="-I${_builddir}/build/contrib/include -I."  || return 1
+
+}
+
+package() {
+	cd "$_builddir"/build 
+
+	make -j1 install DESTDIR="$pkgdir"
+}
+
+
+gtk() {
+	pkgdesc="HandBrake Video Transcoder - GUI"
+	install -d "$subpkgdir"/usr/bin
+	
+	mv "$pkgdir"/usr/bin/ghb "$subpkgdir"/usr/bin/ghb
+	mv "$pkgdir"/usr/share "$subpkgdir"/usr
+
+
+}
+
+md5sums="db0a71147463664c4230ed3f1caf4fe8  HandBrake-0.10.2.tar.bz2"
+sha256sums="4cc3828393b26a982dbe00febd700c5090d3443c1d45492e0b373e02da73c699  HandBrake-0.10.2.tar.bz2"
+sha512sums="7059a88fac1e4810c54880eb4afe58716af7ac81e5b098e34f3a68c19d7c03e51b57e1a196603e2c8d377e94bb3a910d20f1d9ed62d3eab6422031e62730d4a2  HandBrake-0.10.2.tar.bz2"
-- 
2.5.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Sep 03 2015 - 19:43:45 GMT